%define upstream_name    Perl-Destruct-Level
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 24

Summary:    Allow to change perl's destruction level
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module allows to change perl's internal _destruction level_.

The default value of the destruct level is 0; it means that perl won't
bother destroying all its internal data structures, but let the OS do the
cleanup for it at exit.

For perls built with debugging support ('-DDEBUGGING'), an environment
variable 'PERL_DESTRUCT_LEVEL' allows to control the destruction level.
This modules enables to modify it on non-debugging perls too.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.20.0-24.mga9
+ Revision: 1862262
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.20.0-23.mga9
+ Revision: 1795968
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.20.0-22.mga9
+ Revision: 1727002
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.20.0-21.mga8
+ Revision: 1595136
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.20.0-20.mga8
+ Revision: 1530011
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.20.0-19.mga8
+ Revision: 1433872
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.20.0-18.mga7
+ Revision: 1293651
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.20.0-17.mga7
+ Revision: 1249869
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.20.0-16.mga7
+ Revision: 1166160
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.20.0-15.mga7
+ Revision: 1149103
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.20.0-14.mga7
+ Revision: 1126736
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-13.mga6
+ Revision: 1031973
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.20.0-12.mga6
+ Revision: 957879
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.20.0-11.mga6
+ Revision: 845105
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.20.0-10.mga6
+ Revision: 841812
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-9.mga5
+ Revision: 745996
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.20.0-8.mga5
+ Revision: 733255
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-7.mga5
+ Revision: 685937
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.20.0-6.mga5
+ Revision: 631599
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-5.mga4
+ Revision: 524448
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.20.0-4.mga4
+ Revision: 430927
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-3.mga3
+ Revision: 371680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.20.0-2.mga3
+ Revision: 251050
- rebuild for perl 5.16

* Sat Dec 03 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 175520
- imported package perl-Perl-Destruct-Level


* Sat Dec 03 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
